cURL
curl --request POST \
--url https://app-api.aide.app/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"timezone": "<string>",
"hours": [
{
"day": 3,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"date": "<string>",
"name": "<string>"
}
],
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/schedules"
payload = {
"name": "<string>",
"timezone": "<string>",
"hours": [
{
"day": 3,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"date": "<string>",
"name": "<string>"
}
],
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
hours: [{day: 3, open: '<string>', close: '<string>'}],
holidays: [{date: '<string>', name: '<string>'}],
replyTimeMessageInside: '<string>',
replyTimeMessageOutside: '<string>'
})
};
fetch('https://app-api.aide.app/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'timezone' => '<string>',
'hours' => [
[
'day' => 3,
'open' => '<string>',
'close' => '<string>'
]
],
'holidays' => [
[
'date' => '<string>',
'name' => '<string>'
]
],
'replyTimeMessageInside' => '<string>',
'replyTimeMessageOutside' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "schedule",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"hours": [
{
"day": 123,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"name": "<string>",
"date": "<string>"
}
],
"isDefault": true,
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>",
"timezone": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Schedule
Post v1schedules
POST
/
v1
/
schedules
cURL
curl --request POST \
--url https://app-api.aide.app/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"timezone": "<string>",
"hours": [
{
"day": 3,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"date": "<string>",
"name": "<string>"
}
],
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/schedules"
payload = {
"name": "<string>",
"timezone": "<string>",
"hours": [
{
"day": 3,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"date": "<string>",
"name": "<string>"
}
],
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
hours: [{day: 3, open: '<string>', close: '<string>'}],
holidays: [{date: '<string>', name: '<string>'}],
replyTimeMessageInside: '<string>',
replyTimeMessageOutside: '<string>'
})
};
fetch('https://app-api.aide.app/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'timezone' => '<string>',
'hours' => [
[
'day' => 3,
'open' => '<string>',
'close' => '<string>'
]
],
'holidays' => [
[
'date' => '<string>',
'name' => '<string>'
]
],
'replyTimeMessageInside' => '<string>',
'replyTimeMessageOutside' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"timezone\": \"<string>\",\n \"hours\": [\n {\n \"day\": 3,\n \"open\": \"<string>\",\n \"close\": \"<string>\"\n }\n ],\n \"holidays\": [\n {\n \"date\": \"<string>\",\n \"name\": \"<string>\"\n }\n ],\n \"replyTimeMessageInside\": \"<string>\",\n \"replyTimeMessageOutside\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "schedule",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"hours": [
{
"day": 123,
"open": "<string>",
"close": "<string>"
}
],
"holidays": [
{
"name": "<string>",
"date": "<string>"
}
],
"isDefault": true,
"replyTimeMessageInside": "<string>",
"replyTimeMessageOutside": "<string>",
"timezone": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Required string length:
1 - 120Required string length:
1 - 64Available options:
1, 1, true, true, on, 0, 0, false, false Maximum array length:
21Show child attributes
Show child attributes
Maximum array length:
200Show child attributes
Show child attributes
Maximum string length:
2000Maximum string length:
2000Response
Created
Show child attributes
Show child attributes